@echo off
cd /d "%~dp0"

net session 1>nul 2>nul && (
	goto Admin
) || (
	goto CheckAdmin
)

:CheckAdmin
goto UseAdmin

:UseAdmin
%1 mshta vbscript:CreateObject("Shell.Application").ShellExecute("cmd.exe","/c ""%~s0"" ::","","runas",1)(window.close)&&exit cd /d "%~dp0"

:Admin
if not exist .\log (
	md .\log
)
schtasks /query /tn Converter_Schedule_Task >nul 2>nul && schtasks /delete /tn Converter_Schedule_Task /f >nul 2>nul
echo [32m[Execute install_service.bat][0m
call .\bin\install_service.bat

echo [32m[Execute start_service.bat][0m
call .\bin\start_service.bat
goto End

:End



